Subject: Re: Tc bug (kernel crash) more info

From: Badalian Vyacheslav <[email-masked]>
Date: Fri, 31 Aug 2007 14:48:31 +0400

> But sometime a new kernel can break binary compatibility with previous
> one (e.g. after data structures change) and e.g. iptables or iproute
> tools stop working or work in an unpredictable way. There were a few
> such changes before 2.6.20 - I don't track current changes too much.
> And I'm sure your system uses much more than iptables or TC, even
> without your knowledge.
>   
I can rollback =)  Backup system get all functions. I can risk for one 
system of two for get and fix all bugs.
Dynamic routing work fine and automatic switch between systems = 1-4 
seconds.

>> I send to you all info that catch NETCONSOLE. i don't cut any info...
>>     
>
> So, it seems something was broken. But, I meant, there can be sometimes
> interesting things a few lines before or after the infos too.
>   
I can only see that say netconsole. If i look to monitor i look last 
lines. last line is "====...". Scrolling not work
netconsole run as module and start after system do full load. Then 
netconsole is up - i run generator of tc scripts.
> BTW, -git versions are usually more risky than -rc. And, maybe, let
> this 2.6.18 better stay away from this testing...
>   
I look changes between 2.6.23-rc4 and 2.6.23-rc4-git2 and think that 
paches look good and no do any critical things =)

Now i do many script runs to simulate bug. if i get it on 2.6.23-rc4 - i 
post it here. 2.6.23-rc4 not have htb_timer function.

Badalian Vyacheslav